compact1, compact2, compact3
java.lang.reflect

## Interface AnnotatedType

All Superinterfaces:
  AnnotatedElement

All Known Subinterfaces:
  AnnotatedArrayType, AnnotatedParameterizedType, AnnotatedTypeVariable, AnnotatedWildcardType

    public interface AnnotatedType
    extends AnnotatedElement

`AnnotatedType` represents the potentially annotated use of a type in the program currently running in this VM. The use may be of any type in the Java programming language, including an array type, a parameterized type, a type variable, or a wildcard type.

Since:
  1.8

### Method Summary

All Methods Instance Methods Abstract Methods
`Type` `getType()` Returns the underlying type that this annotated type represents.

### Methods inherited from interface java.lang.reflect.AnnotatedElement

`getAnnotation, getAnnotations, getAnnotationsByType, getDeclaredAnnotation, getDeclaredAnnotations, getDeclaredAnnotationsByType, isAnnotationPresent`

### Method Detail

#### getType

    Type getType()

Returns the underlying type that this annotated type represents.

Returns:
  the type this annotated type represents